LibreOffice LibreOffice 26.2 SDK API Reference

Exported Interfaces | List of all members
DataPilotTables Service Referencepublished

represents a collection of data pilot tables. More...

`import"DataPilotTables.idl";`

Inheritance diagram for DataPilotTables:

## Exported Interfaces
interface | com::sun::star::sheet::XDataPilotTables
| provides access to the data pilot objects in this collection. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all data pilot tables. More...
interface | com::sun::star::container::XIndexAccess
| provides methods to access the contained data pilot tables by index. More...

## Additional Inherited Members
Public Member Functions inherited from XDataPilotTables
com::sun::star::sheet::XDataPilotDescriptor | createDataPilotDescriptor ()
| creates a data pilot descriptor. More...
void | insertNewByName ([in] string aName, [in] com::sun::star::table::CellAddress OutputAddress, [in] com::sun::star::sheet::XDataPilotDescriptor xDescriptor)
| creates a new data pilot table and adds it to the collection. More...
void | removeByName ([in] string aName)
| deletes a data pilot table from the collection. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )

## Detailed Description

represents a collection of data pilot tables.

Developers Guide
  Spreadsheet Documents - DataPilot Tables

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all data pilot tables.

See also
  com::sun::star::sheet::DataPilotTablesEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides methods to access the contained data pilot tables by index.

See also
  com::sun::star::sheet::DataPilotTable

## ◆ com::sun::star::sheet::XDataPilotTables

interface com::sun::star::sheet::XDataPilotTables

provides access to the data pilot objects in this collection.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataPilotTables.idl